# Part 5.6: 머신러닝을 위한 미적분

딥러닝과 머신러닝의 학습 원리를 이해하기 위한 핵심 수학 개념인 미적분을 다룹니다.

## 학습 목표

- 미분의 개념과 기하학적 의미를 이해합니다.
- 머신러닝 학습에서 미분이 왜 중요한지, 특히 비용 함수와 경사 하강법의 관계를 이해합니다.
- 편미분과 그래디언트의 개념을 파악합니다.
- Python의 `SymPy`, `NumPy` 라이브러리를 사용하여 미분 계수를 계산하는 방법을 실습합니다.

## 내용

1.  **[머신러닝/딥러닝을 위한 미적분](./part_5.6_calculus_for_ml.md)**
    - 미분의 개념과 역할
    - 경사 하강법과 그래디언트
    - 연쇄 법칙과 역전파
    - Python을 이용한 미분 실습 (기호적, 수치적)
    - 적분의 기본 개념

본 파트를 통해 모델이 어떻게 오차로부터 학습하고 파라미터를 최적화하는지에 대한 수학적 원리를 이해할 수 있습니다. 