# 캡스톤 프로젝트 최종 평가 루브릭 (채점 기준표)

이 루브릭은 캡스톤 프로젝트의 최종 결과물을 공정하고 체계적으로 평가하기 위해 사용됩니다. 각 평가 항목과 기준을 참고하여 프로젝트를 준비하세요.

**총점: 100점**

---

### 1. 문제 정의 및 계획 (20점)
| 점수 | 5 (미흡) | 10 (보통) | 15 (우수) | 20 (탁월) |
|---|---|---|---|---|
| **기준** | 문제의 중요성이나 배경 설명이 불분명함. | 해결하려는 문제가 무엇인지는 설명되나, 구체적인 목표가 부족함. | 문제 정의가 명확하고, 현실적인 분석 목표를 설정함. | 해결하려는 문제가 중요하고 도전적이며, 비즈니스/사회적 가치를 명확히 제시함. |

---

### 2. 데이터 처리 및 탐색적 분석(EDA) (20점)
| 점수 | 5 (미흡) | 10 (보통) | 15 (우수) | 20 (탁월) |
|---|---|---|---|---|
| **기준** | 데이터 정제 과정이 거의 없거나, EDA가 형식적임. | 기본적인 데이터 정제와 시각화를 수행했으나, 깊이 있는 분석이 부족함. | 데이터의 특성에 맞는 적절한 전처리와 EDA를 수행하고, 의미 있는 인사이트를 도출함. | EDA를 통해 문제 해결의 방향을 제시하는 핵심적인 인사이트를 발견하고, 이를 논리적으로 설명함. |

---

### 3. 모델링 및 성능 평가 (30점)
| 점수 | 10 (미흡) | 15 (보통) | 25 (우수) | 30 (탁월) |
|---|---|---|---|---|
| **기준**| 모델 선택의 근거가 없거나, 모델 구현에 오류가 있음. | 모델을 구현하고 결과를 냈으나, 성능 개선 노력이 부족함. | 문제에 적합한 모델을 선택하고, 하이퍼파라미터 튜닝 등 성능 개선을 위한 체계적인 노력을 보임. | 다양한 모델을 실험하고, 성능을 극대화했으며, 모델의 한계점까지 명확히 이해하고 분석함. |

---

### 4. 결과 분석 및 보고서 (15점)
| 점수 | 3 (미흡) | 7 (보통) | 12 (우수) | 15 (탁월) |
|---|---|---|---|---|
| **기준** | 결과 분석이 없거나, 보고서 내용이 부실함. | 모델의 성능 지표를 나열하는 수준에 그침. | 모델의 결과를 비즈니스 관점에서 해석하고, 보고서가 체계적으로 작성됨. | 결과 분석이 매우 논리적이고 설득력 있으며, 프로젝트의 시사점을 깊이 있게 제시함. |

---

### 5. 발표 및 질의응답 (15점)
| 점수 | 3 (미흡) | 7 (보통) | 12 (우수) | 15 (탁월) |
|---|---|---|---|---|
| **기준** | 발표 준비가 미흡하고, 질문에 제대로 답변하지 못함. | 발표 내용이 산만하고, 핵심 메시지 전달이 부족함. | 발표가 체계적이고, 핵심 내용을 명확하게 전달하며, 질문에 성실히 답변함. | 발표가 매우 논리적이고 자신감 있으며, 청중의 눈높이에 맞춰 어려운 내용도 쉽게 설명함. | 